<template>
  <div id="1" class="widgetcontainer">
    <div class="hanger"></div>
    <div class="violationscontainer">
      <h2>Recent Violations</h2>
      <ul class="violationslist">
        <!-- v-for an array here -->
        <li v-if="!violations.length">
          <p class="fine">No recent violations.</p>
        </li>
        <li
          v-for="violation in violations"
          :key="violation.id">
          <p class="violator">{{ violation.account_name }}</p>
          <p class="fine">Total fines: ${{ violation.fineTotal.toFixed(2) }}</p>
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    violations: Array
  }
}
</script>

